var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UMB_BLOCK_GRID_ENTRIES_CONTEXT } from '../block-grid-entries/constants.js';
import { UmbBlockGridEntriesElement } from '../block-grid-entries/block-grid-entries.element.js';
import { customElement } from '../../../../../external/lit/index.js';
/**
 * @description
 * This element is used to render a single block grid area.
 */
let UmbBlockGridAreaElement = class UmbBlockGridAreaElement extends UmbBlockGridEntriesElement {
    //
    constructor() {
        super();
        this.consumeContext(UMB_BLOCK_GRID_ENTRIES_CONTEXT, (context) => {
            this.observe(context?.layoutColumns, (layoutColumns) => {
                this.layoutColumns = layoutColumns;
            }, 'observeParentEntriesLayoutColumns');
        }).skipHost();
    }
    connectedCallback() {
        super.connectedCallback();
        // eslint-disable-next-line wc/no-self-class
        this.classList.add('umb-block-grid__area');
    }
};
UmbBlockGridAreaElement = __decorate([
    customElement('umb-block-grid-area')
], UmbBlockGridAreaElement);
export { UmbBlockGridAreaElement };
export default UmbBlockGridAreaElement;
